Subject: Re: ppc manual paging question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 22 Oct 2007 18:04:14 +1000

> Yup, I've found how does the kernel handle tlbs, I think the most important 
> thing is I forgot read/write the SPRN_SPRG3 register as _switch does.

SPRG3 is for use by the operating system for whatever you want... if you
are copying linux code, then you probably indeed want to get that right
but you don't have to use SPRG3.

> I've add the _PAGE_PRESENT flag to the related PTE

Hrm.. that has nothing ot do with the PTE. Bolting is more a property of
your replacement algorithm in the TLB miss handler.

Ben.